Autor Tema: Problema con SMF Shop  (Leído 308 veces)

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado Sucuri
  • [L0] Ladrón de espacio en la BD
  • Mensajes: 31
    Ingreso: Abril de 2020
  • co
  • Exploremos juntos!
    • Ver Perfil
    • Exploremos
Problema con SMF Shop
« on: 26 Abril de 2020, 08:08 pm »
Hola buenas tardes estimada comunidad, el motivo de mi mensaje es porque ando teniendo problemas con el mod SMF Shop, inicialmente borre todos los productos para ir añadiendo dependiendo mis necesidades, pero ahora cuando intento añadir cualquier item sin importar cual sea me arroja el siguiente error.



Adjunto copia del log de errores que me provee SMF.
« Última Modificación: 26 Abril de 2020, 08:19 pm por Sucuri »

Conectado Rock Lee

  • Administrador
  • *
  • Mensajes: 1041
    Ingreso: Enero de 2014
  • Sexo: Masculino
  • ar
  • Digitalizando tu Mundo
    • Ver Perfil
    • La nueva era del conocimiento
Re:Problema con SMF Shop
« Respuesta #1 on: 26 Abril de 2020, 09:26 pm »
Es un error 500 quiere decir viene del lado servidor, en el registro te marca claro "requiere(/home3/.../increasekarma.php): falled to open" que traducido a español es "no puedo abrir este archivo por que no tengo permiso" ... Fijate en tu panel que version de php estas usando (SMF 2.0.x soporta hasta php 7.1 actualmente) ademas debe aparecerte "opciones avanzadas" o "swich options" donde tenes activar el curl sino me equivoco, sino adjunta imagen de lo que esta marcado.


Saludos Familia!

Desconectado Sucuri
  • [L0] Ladrón de espacio en la BD
  • Mensajes: 31
    Ingreso: Abril de 2020
  • co
  • Exploremos juntos!
    • Ver Perfil
    • Exploremos
Re:Problema con SMF Shop
« Respuesta #2 on: 26 Abril de 2020, 09:45 pm »
He realizado un cambio en la versión de php me encontraba en la ultima versión por lo cual procedí a reducirla hasta la 7.1 para verificar si ese era el problema, aunque de momento sigue igual.

« Última Modificación: 26 Abril de 2020, 09:47 pm por Sucuri »

Conectado Rock Lee

  • Administrador
  • *
  • Mensajes: 1041
    Ingreso: Enero de 2014
  • Sexo: Masculino
  • ar
  • Digitalizando tu Mundo
    • Ver Perfil
    • La nueva era del conocimiento
Re:Problema con SMF Shop
« Respuesta #3 on: 26 Abril de 2020, 10:08 pm »
Aun no lanzan de manera oficial un parche para soportar la ultima version aunque el sistema de renovar año a año el software es inviable para ciertos proyectos sin fines de lucro y open source... Pero volviendo al tema del PHP mira que te tiene aparecer al seleccionr el dominio (no recuerdo el formato del cpanel que tenes pero se es algo diferente) para te muestre mas opciones del PHP donde tenes activar algunas librerias, por que el error esta en no puede abrir dicho archivo por falta de una libreria puntual.


Saludos Familia!

Desconectado Diego
  • [L0] Ladrón de espacio en la BD
  • Mensajes: 1
    Ingreso: Julio de 2019
  • Sexo: Masculino
  • mx
  • Bienvenidos/as a Bomber Code
    • Ver Perfil
    • SMF Tricks
Re:Problema con SMF Shop
« Respuesta #4 on: 27 Abril de 2020, 08:42 pm »
SMF soporta hasta PHP 7.2 y creo que parcialmente 7.3, por ahora 7.4 no.
El soporte a PHP 7.1 creo que ya fue descontinuado, no uses esa versión.

El error de tu tema es porque no existe ese archivo que está buscando, revisa que no hayas eliminado estos archivos por accidente en ../shop/items/

Saludos

Conectado Rock Lee

  • Administrador
  • *
  • Mensajes: 1041
    Ingreso: Enero de 2014
  • Sexo: Masculino
  • ar
  • Digitalizando tu Mundo
    • Ver Perfil
    • La nueva era del conocimiento
Re:Problema con SMF Shop
« Respuesta #5 on: 27 Abril de 2020, 09:34 pm »
Oficialmente SMF soporta hasta 7.2 pero llena los registro de errores avisando ciertas lineas dejaran de usarse por eso recomiendan usar PHP 7.1 hasta que solucionen ese tema en la proxima actualizacion. Ahora de forma extra oficial a Simple Machines esta un mod que hace los cambios para que el nucleo SMF soporte hasta 7.4 pero no aplica a las modificaciones que deben ser actualizadas por el autor o manualmente por cada usuario... En la pagina oficial de PHP esta Supported Versions aunque esta en ingles se entiende. En cuanto la descontinuidad de la rama 7.x no aplica de forma dinamica a los foros SMF por la estructura que posee, incluso existen web aun ejecutan la rama de PHP 4.x y no actualizan por no pueden portar modificaciones puntuales, por eso recomiendan 5.6 en lo posible pero eventualmente se tratara de pasar a la rama 7.x por los servidores te empujan...


Saludos Familia!
« Última Modificación: 27 Abril de 2020, 09:37 pm por Rock Lee »